<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:40:09 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>TextEditorModelImpl (org.eclipse.papyrus.designer.languages.common.texteditor.model 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TextEditorModelImpl (org.eclipse.papyrus.designer.languages.common.texteditor.model 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TextEditorModelImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelFactoryImpl.html" title="class in org.eclipse.papyrus.languages.designer.common.texteditor.model.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelPackageImpl.html" title="class in org.eclipse.papyrus.languages.designer.common.texteditor.model.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html" target="_top">Frames</a></li>
<li><a href="TextEditorModelImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.languages.designer.common.texteditor.model.impl</div>
<h2 title="Class TextEditorModelImpl" class="title">Class TextEditorModelImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EModelElementImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.languages.designer.common.texteditor.model.impl.TextEditorModelImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, <a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html" title="interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModel</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">TextEditorModelImpl</span>
extends org.eclipse.emf.ecore.impl.EModelElementImpl
implements <a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html" title="interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModel</a></pre>
<div class="block"><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Text Editor Model</b></em>'.
 <!-- end-user-doc -->
 <p>
 The following features are implemented:
 </p>
 <ul>
   <li><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getEditedObject--"><code><em>Edited Object</em></code></a></li>
   <li><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getType--"><code><em>Type</em></code></a></li>
   <li><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getName--"><code><em>Name</em></code></a></li>
   <li><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getSelectedObject--"><code><em>Selected Object</em></code></a></li>
   <li><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getLineNumber--"><code><em>Line Number</em></code></a></li>
   <li><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getGeneratorID--"><code><em>Generator ID</em></code></a></li>
 </ul></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.eclipse.emf.ecore.EObject</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#editedObject">editedObject</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getEditedObject--"><code><em>Edited Object</em></code></a>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#GENERATOR_ID_EDEFAULT">GENERATOR_ID_EDEFAULT</a></span></code>
<div class="block">The default value of the '<a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getGeneratorID--"><code><em>Generator ID</em></code></a>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#generatorID">generatorID</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getGeneratorID--"><code><em>Generator ID</em></code></a>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#LINE_NUMBER_EDEFAULT">LINE_NUMBER_EDEFAULT</a></span></code>
<div class="block">The default value of the '<a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getLineNumber--"><code><em>Line Number</em></code></a>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#lineNumber">lineNumber</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getLineNumber--"><code><em>Line Number</em></code></a>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#name">name</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getName--"><code><em>Name</em></code></a>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#NAME_EDEFAULT">NAME_EDEFAULT</a></span></code>
<div class="block">The default value of the '<a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getName--"><code><em>Name</em></code></a>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.eclipse.emf.ecore.EObject</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#selectedObject">selectedObject</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getSelectedObject--"><code><em>Selected Object</em></code></a>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#type">type</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getType--"><code><em>Type</em></code></a>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#TYPE_EDEFAULT">TYPE_EDEFAULT</a></span></code>
<div class="block">The default value of the '<a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getType--"><code><em>Type</em></code></a>' attribute.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.EModelElementImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.EModelElementImpl</h3>
<code>eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>eContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder</h3>
<code>NIL</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#TextEditorModelImpl--">TextEditorModelImpl</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EObject</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#basicGetEditedObject--">basicGetEditedObject</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EObject</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#basicGetSelectedObject--">basicGetSelectedObject</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#eGet-int-boolean-boolean-">eGet</a></span>(int&nbsp;featureID,
    boolean&nbsp;resolve,
    boolean&nbsp;coreType)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#eIsSet-int-">eIsSet</a></span>(int&nbsp;featureID)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#eSet-int-java.lang.Object-">eSet</a></span>(int&nbsp;featureID,
    <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;newValue)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#eStaticClass--">eStaticClass</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#eUnset-int-">eUnset</a></span>(int&nbsp;featureID)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EObject</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getEditedObject--">getEditedObject</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getGeneratorID--">getGeneratorID</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getLineNumber--">getLineNumber</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getName--">getName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EObject</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getSelectedObject--">getSelectedObject</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getType--">getType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#setEditedObject-org.eclipse.emf.ecore.EObject-">setEditedObject</a></span>(org.eclipse.emf.ecore.EObject&nbsp;newEditedObject)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#setGeneratorID-java.lang.String-">setGeneratorID</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newGeneratorID)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#setLineNumber-int-">setLineNumber</a></span>(int&nbsp;newLineNumber)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#setName-java.lang.String-">setName</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newName)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#setSelectedObject-org.eclipse.emf.ecore.EObject-">setSelectedObject</a></span>(org.eclipse.emf.ecore.EObject&nbsp;newSelectedObject)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#setType-java.lang.String-">setType</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newType)</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EModelElementImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EModelElementImpl</h3>
<code>eInverseAdd, eInverseRemove, eInvoke, eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>eBasicSetContainer, eInternalContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="editedObject">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>editedObject</h4>
<pre>protected&nbsp;org.eclipse.emf.ecore.EObject editedObject</pre>
<div class="block">The cached value of the '<a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getEditedObject--"><code><em>Edited Object</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getEditedObject--"><code>getEditedObject()</code></a></dd>
</dl>
</li>
</ul>
<a name="TYPE_EDEFAULT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_EDEFAULT</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TYPE_EDEFAULT</pre>
<div class="block">The default value of the '<a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getType--"><code><em>Type</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getType--"><code>getType()</code></a></dd>
</dl>
</li>
</ul>
<a name="type">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>type</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> type</pre>
<div class="block">The cached value of the '<a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getType--"><code><em>Type</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getType--"><code>getType()</code></a></dd>
</dl>
</li>
</ul>
<a name="NAME_EDEFAULT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NAME_EDEFAULT</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> NAME_EDEFAULT</pre>
<div class="block">The default value of the '<a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getName--"><code><em>Name</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getName--"><code>getName()</code></a></dd>
</dl>
</li>
</ul>
<a name="name">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>name</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> name</pre>
<div class="block">The cached value of the '<a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getName--"><code><em>Name</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getName--"><code>getName()</code></a></dd>
</dl>
</li>
</ul>
<a name="selectedObject">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectedObject</h4>
<pre>protected&nbsp;org.eclipse.emf.ecore.EObject selectedObject</pre>
<div class="block">The cached value of the '<a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getSelectedObject--"><code><em>Selected Object</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getSelectedObject--"><code>getSelectedObject()</code></a></dd>
</dl>
</li>
</ul>
<a name="LINE_NUMBER_EDEFAULT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LINE_NUMBER_EDEFAULT</h4>
<pre>protected static final&nbsp;int LINE_NUMBER_EDEFAULT</pre>
<div class="block">The default value of the '<a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getLineNumber--"><code><em>Line Number</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getLineNumber--"><code>getLineNumber()</code></a>, 
<a href="../../../../../../../../../constant-values.html#org.eclipse.papyrus.languages.designer.common.texteditor.model.impl.TextEditorModelImpl.LINE_NUMBER_EDEFAULT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="lineNumber">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lineNumber</h4>
<pre>protected&nbsp;int lineNumber</pre>
<div class="block">The cached value of the '<a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getLineNumber--"><code><em>Line Number</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getLineNumber--"><code>getLineNumber()</code></a></dd>
</dl>
</li>
</ul>
<a name="GENERATOR_ID_EDEFAULT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GENERATOR_ID_EDEFAULT</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> GENERATOR_ID_EDEFAULT</pre>
<div class="block">The default value of the '<a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getGeneratorID--"><code><em>Generator ID</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getGeneratorID--"><code>getGeneratorID()</code></a></dd>
</dl>
</li>
</ul>
<a name="generatorID">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>generatorID</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> generatorID</pre>
<div class="block">The cached value of the '<a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getGeneratorID--"><code><em>Generator ID</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html#getGeneratorID--"><code>getGeneratorID()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TextEditorModelImpl--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TextEditorModelImpl</h4>
<pre>protected&nbsp;TextEditorModelImpl()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="eStaticClass--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eStaticClass</h4>
<pre>protected&nbsp;org.eclipse.emf.ecore.EClass&nbsp;eStaticClass()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eStaticClass</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.EModelElementImpl</code></dd>
</dl>
</li>
</ul>
<a name="getEditedObject--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEditedObject</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EObject&nbsp;getEditedObject()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html#getEditedObject--">getEditedObject</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html" title="interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModel</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Edited Object</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html#setEditedObject-org.eclipse.emf.ecore.EObject-"><code>TextEditorModel.setEditedObject(EObject)</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModelPackage.html#getTextEditorModel_EditedObject--"><code>TextEditorModelPackage.getTextEditorModel_EditedObject()</code></a></dd>
</dl>
</li>
</ul>
<a name="basicGetEditedObject--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>basicGetEditedObject</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EObject&nbsp;basicGetEditedObject()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="setEditedObject-org.eclipse.emf.ecore.EObject-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEditedObject</h4>
<pre>public&nbsp;void&nbsp;setEditedObject(org.eclipse.emf.ecore.EObject&nbsp;newEditedObject)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html#setEditedObject-org.eclipse.emf.ecore.EObject-">setEditedObject</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html" title="interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModel</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newEditedObject</code> - the new value of the '<em>Edited Object</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html#getEditedObject--"><code>TextEditorModel.getEditedObject()</code></a></dd>
</dl>
</li>
</ul>
<a name="getType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getType</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getType()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html#getType--">getType</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html" title="interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModel</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Type</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html#setType-java.lang.String-"><code>TextEditorModel.setType(String)</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModelPackage.html#getTextEditorModel_Type--"><code>TextEditorModelPackage.getTextEditorModel_Type()</code></a></dd>
</dl>
</li>
</ul>
<a name="setType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setType</h4>
<pre>public&nbsp;void&nbsp;setType(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newType)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html#setType-java.lang.String-">setType</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html" title="interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModel</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newType</code> - the new value of the '<em>Type</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html#getType--"><code>TextEditorModel.getType()</code></a></dd>
</dl>
</li>
</ul>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getName()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html#getName--">getName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html" title="interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModel</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Name</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html#setName-java.lang.String-"><code>TextEditorModel.setName(String)</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModelPackage.html#getTextEditorModel_Name--"><code>TextEditorModelPackage.getTextEditorModel_Name()</code></a></dd>
</dl>
</li>
</ul>
<a name="setName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setName</h4>
<pre>public&nbsp;void&nbsp;setName(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newName)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html#setName-java.lang.String-">setName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html" title="interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModel</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newName</code> - the new value of the '<em>Name</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html#getName--"><code>TextEditorModel.getName()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSelectedObject--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSelectedObject</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EObject&nbsp;getSelectedObject()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html#getSelectedObject--">getSelectedObject</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html" title="interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModel</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Selected Object</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html#setSelectedObject-org.eclipse.emf.ecore.EObject-"><code>TextEditorModel.setSelectedObject(EObject)</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModelPackage.html#getTextEditorModel_SelectedObject--"><code>TextEditorModelPackage.getTextEditorModel_SelectedObject()</code></a></dd>
</dl>
</li>
</ul>
<a name="basicGetSelectedObject--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>basicGetSelectedObject</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EObject&nbsp;basicGetSelectedObject()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="setSelectedObject-org.eclipse.emf.ecore.EObject-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSelectedObject</h4>
<pre>public&nbsp;void&nbsp;setSelectedObject(org.eclipse.emf.ecore.EObject&nbsp;newSelectedObject)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html#setSelectedObject-org.eclipse.emf.ecore.EObject-">setSelectedObject</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html" title="interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModel</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newSelectedObject</code> - the new value of the '<em>Selected Object</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html#getSelectedObject--"><code>TextEditorModel.getSelectedObject()</code></a></dd>
</dl>
</li>
</ul>
<a name="getLineNumber--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLineNumber</h4>
<pre>public&nbsp;int&nbsp;getLineNumber()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html#getLineNumber--">getLineNumber</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html" title="interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModel</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Line Number</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html#setLineNumber-int-"><code>TextEditorModel.setLineNumber(int)</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModelPackage.html#getTextEditorModel_LineNumber--"><code>TextEditorModelPackage.getTextEditorModel_LineNumber()</code></a></dd>
</dl>
</li>
</ul>
<a name="setLineNumber-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLineNumber</h4>
<pre>public&nbsp;void&nbsp;setLineNumber(int&nbsp;newLineNumber)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html#setLineNumber-int-">setLineNumber</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html" title="interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModel</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newLineNumber</code> - the new value of the '<em>Line Number</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html#getLineNumber--"><code>TextEditorModel.getLineNumber()</code></a></dd>
</dl>
</li>
</ul>
<a name="getGeneratorID--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGeneratorID</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getGeneratorID()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html#getGeneratorID--">getGeneratorID</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html" title="interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModel</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Generator ID</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html#setGeneratorID-java.lang.String-"><code>TextEditorModel.setGeneratorID(String)</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModelPackage.html#getTextEditorModel_GeneratorID--"><code>TextEditorModelPackage.getTextEditorModel_GeneratorID()</code></a></dd>
</dl>
</li>
</ul>
<a name="setGeneratorID-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGeneratorID</h4>
<pre>public&nbsp;void&nbsp;setGeneratorID(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newGeneratorID)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html#setGeneratorID-java.lang.String-">setGeneratorID</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html" title="interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModel</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newGeneratorID</code> - the new value of the '<em>Generator ID</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html#getGeneratorID--"><code>TextEditorModel.getGeneratorID()</code></a></dd>
</dl>
</li>
</ul>
<a name="eGet-int-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eGet</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;eGet(int&nbsp;featureID,
                   boolean&nbsp;resolve,
                   boolean&nbsp;coreType)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eGet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eGet</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.EModelElementImpl</code></dd>
</dl>
</li>
</ul>
<a name="eSet-int-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eSet</h4>
<pre>public&nbsp;void&nbsp;eSet(int&nbsp;featureID,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;newValue)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eSet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eSet</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.EModelElementImpl</code></dd>
</dl>
</li>
</ul>
<a name="eUnset-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eUnset</h4>
<pre>public&nbsp;void&nbsp;eUnset(int&nbsp;featureID)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eUnset</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eUnset</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.EModelElementImpl</code></dd>
</dl>
</li>
</ul>
<a name="eIsSet-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eIsSet</h4>
<pre>public&nbsp;boolean&nbsp;eIsSet(int&nbsp;featureID)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eIsSet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eIsSet</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.EModelElementImpl</code></dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;toString()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TextEditorModelImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelFactoryImpl.html" title="class in org.eclipse.papyrus.languages.designer.common.texteditor.model.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelPackageImpl.html" title="class in org.eclipse.papyrus.languages.designer.common.texteditor.model.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html" target="_top">Frames</a></li>
<li><a href="TextEditorModelImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
